import React, { PureComponent } from 'react';
import { Tabs } from 'antd';
import style from "styled-components";

const store = require("store");

const { TabPane } = Tabs;

export default class PrintRecord extends PureComponent {
  constructor(props, context) {
    super(props, context);
    this.state = {
      // currentURL: "http://localhost:3000/#/course/manage",
    };
  }

  componentDidMount = () => {
  }
  render() {
    return (
      <Container>
        <Tabs>
          <TabPane tab="资格证打印记录" key="1" />
        </Tabs>
        {store.get("PrintRecordURL") !== undefined ? (
          <div style={{ height: "inherit" }}>
            <iframe
              title="打印记录"
              src={store.get("PrintRecordURL")["PrintRecordURL"]}
              width="100%"
              height="100%"
              frameBorder="0"
              allowFullScreen={true}
              allowtransparency="true">
              您的浏览器不支持iframe，请升级
            </iframe>
          </div>
        ) : ''
        }
      </Container>
    );
  }
}

const Container = style.div`
  padding:10px 24px 24px;
  width:100%;
  height:100%;
`;
